import { h, Fragment } from "preact"
import Header from "../component/layout/header"
import Footer from "../component/layout/footer"
import { Button, Label } from "../component/shared/button"
import { Rema } from "../context/rema"
import { CID } from "ipfs-http-client"

export default ({ name }) => {
  return <>
    <Header path={[ "special", "edit" ]}/>
    <section>
      <main>
        <article class="rows x2">
          <h1>edit: {name}</h1>
        </article>
      </main>
    </section>
    <Footer />
  </>
}
