
export default class Strings {

  static reverse = (s) => s.split("").reverse().join("")

  static abbreviate = (s, maxLength, left = 5, sep = "...") =>
    s.length <= maxLength ? s : (s.slice(0, left) + sep + s.slice(sep.length + left - maxLength))

  static groups = (s, size) => {
    const rem = s.length % size,
      g = s.slice(rem).match(new RegExp(`.{${size}}`, "g")) ?? []
    return (rem ? [ s.slice(0, rem) ] : [] ).concat(g)
  }

}
