import { h } from "preact"

export default ({ children, center = true, transparent = true, class: className = "", ...rest }) =>
  <section {...rest} class={"window-container " + (center ? "center " : "") + (transparent ? "transparent " : "") + className}>
    <div class="window">
      { children }
    </div>
  </section>
